package TextTemplate;

#
#   Filename: TextTemplate.pm
#   Generated with CodeCharge 1.1.20
#   PerlTemplates build 05/23/2001
#


use strict;

sub new {
  my $self = {};
  $self->{DBlocks} = {};
  $self->{ParsedBlocks} = {};
  return bless $self;
}

sub LoadTemplate  {
  my ($self, $sPath, $sName) = @_;
  my $nName = "";
  if (-e $sPath) {
    open("template_file", $sPath);
    $self->{DBlocks}->{$sName} .= $_ while (<template_file>);
    close(template_file);
      
    $nName = $self->NextDBlockName($sName);
    while($nName ne "") {
      $self->SetBlock($sName, $nName);
      $nName = $self->NextDBlockName($sName);
    }
  }
}

sub NextDBlockName {
  my ($self, $sTemplateName) = @_;
  my $sTemplate = $self->{DBlocks}->{$sTemplateName};
  my $BTag = index($sTemplate, "<!--Begin");
  if ($BTag == -1) {
    return "";
  } else {
    my $ETag = index($sTemplate, "-->", $BTag);
    my $sName = substr($sTemplate, $BTag + 9, $ETag - ($BTag + 9));
    if(index($sTemplate, "<!--End" . $sName . "-->") > 0) {
      return $sName;
    } else {
      return "";
    }
  }
}

sub SetBlock {
  my ($self, $sTplName, $sBlockName) = @_;
  if(!exists($self->{DBlocks}->{$sBlockName})) {
    $self->{DBlocks}->{$sBlockName} = $self->getBlock($self->{DBlocks}->{$sTplName}, $sBlockName);
  }
  $self->{DBlocks}->{$sTplName} = $self->replaceBlock($self->{DBlocks}->{$sTplName}, $sBlockName);
  my $nName = $self->NextDBlockName($sBlockName);
  while($nName ne "") {
    $self->SetBlock($sBlockName, $nName);
    $nName = $self->NextDBlockName($sBlockName);
  }
}

sub getBlock {
  my ($self, $sTemplate, $sName) = @_;
  my $alpha = length($sName) + 12;
  my $BBlock = index($sTemplate, "<!--Begin" . $sName . "-->");
  my $EBlock = index($sTemplate, "<!--End" . $sName . "-->");
  if($BBlock == -1 || $EBlock == -1) {
    return "";
  } else {
    return substr($sTemplate, $BBlock + $alpha, $EBlock - $BBlock - $alpha);
  }
}

sub replaceBlock {
  my ($self, $sTemplate, $sName) = @_;
  my $BBlock = index($sTemplate, "<!--Begin" . $sName . "-->");
  my $EBlock = index($sTemplate, "<!--End" . $sName . "-->");
  if($BBlock == -1 || $EBlock == -1) {
    return $sTemplate;
  } else {
    return substr($sTemplate, 0, $BBlock) . "{" . $sName . "}" . substr($sTemplate, $EBlock + length("<!--End" . $sName . "-->"));
  }
}

sub GetVar {
  my ($self, $sName) = @_;
    return $self->{DBlocks}->{$sName};
}

sub SetVar {
  my ($self, $sName, $sValue) = @_;
  $self->{ParsedBlocks}->{$sName} = $sValue;
}

sub PrintVar {
  my ($self, $sName) = @_;
  return $self->{ParsedBlocks}->{$sName};
}

sub Parse {
  my($self, $sTplName, $bRepeat) = @_;
  if(exists($self->{DBlocks}->{$sTplName})) {
    if( ($bRepeat eq "True") && ( exists($self->{ParsedBlocks}->{$sTplName}) ) ) {
      $self->{ParsedBlocks}->{$sTplName} = $self->{ParsedBlocks}->{$sTplName} . $self->ProceedTpl($self->{DBlocks}->{$sTplName});
    } else {
      $self->{ParsedBlocks}->{$sTplName} = $self->ProceedTpl($self->{DBlocks}->{$sTplName});
    }
  } else {
    print "Block with name $sTplName doesn't exist\n";
  }
}

sub blockVars {
  my($self, $sTpl, $beginSymbol, $endSymbol) = @_;
  if (length($beginSymbol) == 0) { $beginSymbol = "{"; }
  if (length($endSymbol) == 0) { $endSymbol = "}"; }
  my $beginSymbolLength = length($beginSymbol);
  my $endTag = 0;
  my @vars;
  my $varname;
  while ((my $beginTag = index($sTpl, $beginSymbol, $endTag)) != -1) {
    if (($endTag = index($sTpl, $endSymbol, $beginTag)) != -1) {
      $varname = substr($sTpl, $beginTag + $beginSymbolLength, $endTag - $beginTag - $beginSymbolLength);
	  push (@vars, $varname) if $varname =~ /^\w*$/;
    }
  }
  return @vars;
}

sub ProceedTpl {
  my ($self, $sTpl) = @_;
  my @vars = $self->blockVars($sTpl, "{", "}");
  if ($#vars != -1) {
    foreach my $value (@vars) {
      if ( $value =~ /^[\w\_][\w\_]*$/ ) {
        if (exists($self->{ParsedBlocks}->{$value})) {
          $sTpl =~ s/{$value}/$self->{ParsedBlocks}->{$value}/g;
        } elsif (exists($self->{DBlocks}->{$value})) {
          $sTpl =~ s/{$value}/$self->{DBlocks}->{$value}/g;
        } else {
          $sTpl =~ s/{$value}//g;
        }
      }
    }
  }
  return $sTpl;
}

sub PrintAll {
  my $self = shift;
  my $res = "<table border=\"1\" width=\"100%\">" .
    "<tr bgcolor=\"#C0C0C0\" align=\"center\"><td>Key</td><td>Value</td></tr>" .
    "<tr bgcolor=\"#FFE0E0\"><td colspan=\"2\" align=\"center\">ParsedBlocks</td></tr>";

  while(my ($key, $value) = each(%{$self->{ParsedBlocks}}) ) {
        $res .= "<tr><td><pre>" . ToHTML($key) . "</pre></td>";
        $res .= "<td><pre>" . ToHTML($value) . "</pre></td></tr>";
  }
  $res .= "<tr bgcolor=\"#E0FFE0\"><td colspan=\"2\" align=\"center\">DBlocks</td></tr>";

  while(my ($key, $value) = each(%{$self->{DBlocks}})) {
    $res .= "<tr><td><pre>" . ToHTML($key) . "</pre></td>";
    $res .= "<td><pre>" . ToHTML($value) . "</pre></td></tr>";
  }
  $res .= "</table>";
  return $res;
}

1;